Skip to main content
`Ctrl`+`K`

# TSSUNDIALS

ODE solver using a very old version of the LLNL CVODE/SUNDIALS package, version 2.5 (now called SUNDIALS). Requires ./configure –download-sundials

## Options Database Keys

- -ts_sundials_type <bdf,adams> -

- -ts_sundials_gramschmidt_type <modified, classical> - type of orthogonalization inside GMRES

- -ts_sundials_atol <tol> - Absolute tolerance for convergence

- -ts_sundials_rtol <tol> - Relative tolerance for convergence

- -ts_sundials_linear_tolerance <tol> -

- -ts_sundials_maxl <maxl> - Max dimension of the Krylov subspace

- -ts_sundials_monitor_steps - Monitor SUNDIALS internal steps

- -ts_sundials_use_dense - Use a dense linear solver within CVODE (serial only)

## Note

This uses its own nonlinear solver and Krylov method so PETSc `SNES` and `KSP` options do not apply, only PETSc `PC` options.

## See Also

TS: Scalable ODE and DAE Solvers, `TSCreate()`, `TS`, `TSSetType()`, `TSSundialsSetType()`, `TSSundialsSetMaxl()`, `TSSundialsSetLinearTolerance()`, `TSType`, `TSSundialsSetGramSchmidtType()`, `TSSundialsSetTolerance()`, `TSSundialsGetPC()`, `TSSundialsGetIterations()`, `TSSetExactFinalTime()`

## Level

beginner

## Location

src/ts/impls/implicit/sundials/sundials.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages